org.vishia.gral.base

## Class GralTextField.GraphicImplAccess

- java.lang.Object
- - org.vishia.gral.base.GralWidget.ImplAccess
  - - org.vishia.gral.base.GralTextField.GraphicImplAccess

- All Implemented Interfaces:
    GralWidgImpl_ifc
  Direct Known Subclasses:
    AwtTextField, GralTextBox.GraphicImplAccess, SwtTextFieldWrapper
  Enclosing class:
    GralTextField

      public abstract class GralTextField.GraphicImplAccess
      extends GralWidget.ImplAccess
      implements GralWidgImpl_ifc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `chgCursor`
    `static int` | `chgPrompt`
    `protected GralPos` | `posField` The `GralWidget.pos()` is the summary position for prompt and field.
    `protected GralPos` | `posPrompt` The `GralWidget.pos()` is the summary position for prompt and field.

    - ### Fields inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `chgBitsDerived, chgColorBack, chgColorLine, chgColorText, chgEditable, chgFloat, chgFocus, chgFont, chgIntg, chgInvisible, chgObjects, chgPos, chgText, chgVisible, chgVisibleInfo, pixBounds, wdgimpl, widgg`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `GraphicImplAccess(GralWidget widgg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `borderwidth()`
    `protected int` | `caretPos()`
    `protected void` | `caretPos(int newPos)`
    `protected boolean` | `isPasswordField()`
    `protected java.lang.String` | `prompt()`
    `protected java.lang.String` | `promptStylePosition()`
    `protected void` | `setTouched(boolean bTouched)`
    `protected GralTextFieldUser_ifc` | `user()`

    - ### Methods inherited from class org.vishia.gral.base.GralWidget.ImplAccess

      `acknChanged, actionShow, dyda, getActionChange, getChanged, gralWidgetFromImplData, setDragEnable, setDropEnable, setFocused, setTextChanged, setVisibleState, XXXfocusGained`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.vishia.gral.base.GralWidgImpl_ifc

      `getPixelPositionSize, getWidgetImplementation, removeWidgetImplementation, repaintGthread, setBoundsPixel, setFocusGThread, setVisibleGThread`

- - ### Field Detail

    - #### chgPrompt

          public static final int chgPrompt

      See Also:
        Constant Field Values

    - #### chgCursor

          public static final int chgCursor

      See Also:
        Constant Field Values

    - #### posPrompt

          protected final GralPos posPrompt

      The `GralWidget.pos()` is the summary position for prompt and field. This is the part for field and prompt.

    - #### posField

          protected final GralPos posField

      The `GralWidget.pos()` is the summary position for prompt and field. This is the part for field and prompt.

  - ### Constructor Detail

    - #### GraphicImplAccess

          protected GraphicImplAccess(GralWidget widgg)

  - ### Method Detail

    - #### prompt

          protected java.lang.String prompt()

    - #### promptStylePosition

          protected java.lang.String promptStylePosition()

    - #### borderwidth

          protected int borderwidth()

    - #### caretPos

          protected int caretPos()

    - #### caretPos

          protected void caretPos(int newPos)

    - #### user

          protected GralTextFieldUser_ifc user()

    - #### isPasswordField

          protected boolean isPasswordField()

    - #### setTouched

          protected void setTouched(boolean bTouched)